#include <Keypad.h>
#include "SevSeg.h"

const byte ROWS = 3; //three rows
const byte COLS = 3; //three columns
char keys[ROWS][COLS] = {
  {1,2,3},
  {4,5,6},
  {7,8,9}};
byte rowPins[ROWS] = {10, 11, 12}; //connect to the row pinouts of the keypad
byte colPins[COLS] = {A0, A1, A2}; //connect to the column pinouts of the keypad

Keypad keypad = Keypad( makeKeymap(keys), rowPins, colPins, ROWS, COLS );

SevSeg sevseg; 

void setup() {
byte numDigits = 1;
byte digitPins[] = {2};
byte segmentPins[] = {3,4,5,6,7,8,9};
sevseg.begin(COMMON_ANODE, numDigits, digitPins, segmentPins);
sevseg.setBrightness(90);
}

void loop() {
char key = keypad.getKey();
sevseg.refreshDisplay(); // Must run repeatedly
 
  if (key != NO_KEY){
  sevseg.setNumber(key);  
  }

}
